### Function

# Gdk FileList new_from_list

since: 4.8

#### Declaration [src]

    GdkFileList*
    gdk_file_list_new_from_list (
      GSList* files
    )

#### Description [src]

Creates a new files list container from a singly linked list of `GFile` instances.

This function is meant to be used by language bindings.

Available since: 4.8

#### Parameters

`files`

  Type: A list of `None`

  A list of files.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkFileList`

The newly created files list.

The caller of the function takes ownership of the data, and is responsible for freeing it.